#ifndef BCALENDAR_HPP_
#define BCALENDAR_HPP_

#include "entity.hpp"
#include <eosim/utils/entityqueueordered.hpp>

namespace eosim {

namespace core {

	class BCalendar {
	private:
        double simTime, endSim;
        utils::EntityQueueOrdered ents;
	public:
		BCalendar ();
		~BCalendar ();
		void bPhase ();
		bool isStopped();
		void schedule (double offset_, Entity* who_);
		void setEndTime (double when_);
        double getSimTime();
	};
	
}

}

#endif

