#ifndef BEVENT_HPP_
#define BEVENT_HPP_

#include <string>

namespace eosim {

namespace core {

    class Model;
    class Entity;
    
	class BEvent {
    private:
		std::string name;
	protected:
		Model& owner;
	public:
		BEvent (std::string name_, Model& owner_);
		virtual ~BEvent ();
        std::string getName();
		virtual void eventRoutine (Entity* who_) = 0;
	};
	
}

}

#endif

