#include "entity.hpp"
#include "bevent.hpp"
#include <cassert>

using namespace eosim::core;


Entity::Entity (): bEv(0), clock(0) {}

Entity::~Entity () {}

void Entity::setBEvent (BEvent* bEv_) {
    assert(bEv_ != 0 && "Entity::setBEvent: Error assigning a BEvent");
    bEv = bEv_;
}

void Entity::setClock (double clock_) {
    clock = clock_;
}

double Entity::getClock () {
    return clock;
}

void Entity::processEvent () {
    bEv->eventRoutine(this);
}

