#include "nonrenewable.hpp"
#include <cassert>

using namespace eosim::core;


NonRenewable::NonRenewable(double quantity_): Bin(quantity_) {}

NonRenewable::~NonRenewable() {}

void NonRenewable::addBin(double amount_) {
    assert(amount_ >= 0 && "NonRenewable::addBin: Error adding NonRenewable bins");
    quantity += amount_;
}

