#include "distribution.hpp"
#include "numbergeneratorfactory.hpp"

using namespace eosim::dist;


Distribution::Distribution (GenType gen_) : generator(NumberGeneratorFactory::make(gen_)) {}

Distribution::~Distribution () {
    delete generator;
}

void Distribution::setSeed (unsigned long seed_) {
    generator->setSeed(seed_);
}


