#ifndef DISTRIBUTION_HPP_
#define DISTRIBUTION_HPP_

#include "numbergenerator.hpp"

namespace eosim {
	
namespace core {
    class Model;
}

namespace dist {

	class Distribution {
	protected:
		NumberGenerator *generator;
	public:
		Distribution (GenType gen_);
		virtual ~Distribution ();
		virtual double sample () = 0;
		void setSeed (unsigned long seed_);
	};

}

}

#endif

