#include "negexpdist.hpp"
#include <cmath>

using namespace eosim::dist;


NegexpDist::NegexpDist(GenType gen_, double m_): Distribution(gen_), m(m_) {} 

NegexpDist::~NegexpDist() {}

double NegexpDist::sample() {
    return -log (generator->nextDouble())* m;
}

