#ifndef UNIFORMDIST_HPP_
#define UNIFORMDIST_HPP_

#include "distribution.hpp"

namespace eosim {
	
namespace dist {

	class UniformDist: public Distribution {
	private:
		double low, upper;
	public:
		UniformDist (GenType gen_, double low_, double upper_);
		~UniformDist ();
		double sample ();
	};

}

}

#endif

