#ifndef TIMEWEIGHTER_HPP_
#define TIMEWEIGHTER_HPP_

#include "histogram.hpp"

namespace eosim {

namespace statics {

    class TimeWeighted: public Histogram {
    private:
        double lastTimeUsed;
    public:
        TimeWeighted(double lower_, double upper_,double width_, std::string name_);
        void log(double x_);
    };

}

}

#endif

