#ifndef BEVENTMAP_HPP_
#define BEVENTMAP_HPP_

#include <eosim/core/bevent.hpp>
#include <map>
#include <string>

namespace eosim {

namespace utils {

	class BEventMap {
	private:
		std::map<std::string, core::BEvent*> elems;
	public:
		BEventMap ();
		~BEventMap ();
		void put (core::BEvent* elem_);
        void remove (std::string key_);
        core::BEvent* operator[] (std::string key_);
		unsigned int size();	
	};

}

}

#endif

