#include "ceventvector.hpp"
#include <cassert>

using namespace eosim::utils;
using namespace eosim::core;
using namespace std;


CEventVector::CEventVector () {}

CEventVector::~CEventVector () {}

void CEventVector::push (CEvent* elem_) {
    elems.push_back(elem_);
}

void CEventVector::remove (unsigned int i_) {
    assert(i_ < elems.size() && "CEventVector::remove: Error removing a CEvent from a CEventVector");
    elems.erase(elems.begin() + i_);
}

CEvent* CEventVector::operator[] (unsigned int i_) {
    assert(i_ < elems.size() && "CEventVector::operator[]: Error indexing in a CEventVector");
    return elems[i_];
}

unsigned int CEventVector::size() {
    return elems.size();
}

