#ifndef ENTITYQUEUEORDERED_HPP_
#define ENTITYQUEUEORDERED_HPP_

#include "entityqueue.hpp"
#include <deque>

namespace eosim {
	
namespace utils {

	class EntityQueueOrdered: public EntityQueue {
	private:
        std::deque<core::Entity*> elems;
        core::EntityComp* comp;
    public:
        EntityQueueOrdered(core::EntityComp* comp_);
        ~EntityQueueOrdered();
        void push(core::Entity* ent_);
        core::Entity* pop();
        void remove(unsigned int i_);
        bool empty();
        core::Entity* operator[] (unsigned int i_);
		unsigned int size();	
	};

}

}

#endif

