#ifndef ENTITY_HPP_
#define ENTITY_HPP_

namespace eosim {

namespace core {

    class BEvent;    

	class Entity {
    private:
		BEvent* bEv;
		double clock;
	public:
		Entity ();
		virtual ~Entity ();
		void setBEvent (BEvent* bEv_);
		void setClock (double clock_);
		double getClock ();
		void processEvent ();
	};
	
	class EntityComp {
	public:
		EntityComp () {}
		virtual ~EntityComp () {}
		virtual bool compare (Entity* e1_, Entity* e2_) = 0;
	};
    
}

}

#endif

