#ifndef DISTMANAGER_HPP_
#define DISTMANAGER_HPP_

#include "numbergenerator.hpp"
#include <eosim/utils/distvector.hpp>

namespace eosim {
	
namespace dist {

	class DistManager {
	private:
		NumberGenerator* seedGenerator;
		utils::DistVector dVect;
	public:
		DistManager (GenType seedGenerator_);
		~DistManager ();
		void setSeed (unsigned long seed_);
		void registerDist (Distribution* d_);
	};
	
}

}

#endif

