#include "numbergeneratorfactory.hpp"
#include "mt19937.hpp"
#include <cassert>

using namespace eosim::dist;


NumberGenerator* NumberGeneratorFactory::make(GenType type_) {
    switch (type_) {
	case MT19937:
		return new Mt19937();	
    default:
		assert(false && "Feo feo");
        return 0;
    }
}

