#include "uniformdist.hpp"

using namespace eosim::dist;


UniformDist::UniformDist(GenType gen_, double low_, double upper_):
                         Distribution(gen_), low(low_), upper(upper_) {} 

UniformDist::~UniformDist() {}

double UniformDist::sample() {
    return low + (upper-low)*generator->nextDouble();
}

