#ifndef TIMESERIES_HPP_
#define TIMESERIES_HPP_

#include "histogram.hpp"
#include <eosim/core/model.hpp>

namespace eosim {

namespace statics {

    class TimeSeries: public Histogram {
    public:
        TimeSeries(double lower_, double upper_,double width_, std::string name_);
        void log(double x_, double y_);
    };
}

}

#endif

