#ifndef CEVENTVECTOR_HPP_
#define CEVENTVECTOR_HPP_

#include <eosim/core/cevent.hpp>
#include <vector>

namespace eosim {

namespace utils {

	class CEventVector {
	private:
		std::vector<core::CEvent*> elems;
	public:
		CEventVector ();
		~CEventVector ();
		void push (core::CEvent* elem_);
        void remove (unsigned i_);
        core::CEvent* operator[] (unsigned int i_);
		unsigned int size();	
	};
}

}

#endif

