#include "distvector.hpp"
#include <cassert>

using namespace eosim::utils;
using namespace eosim::dist;
using namespace std;


DistVector::DistVector () {}

DistVector::~DistVector () {}

void DistVector::push (Distribution* elem_) {
    elems.push_back(elem_);
}

void DistVector::remove (unsigned int i_) {
    assert(i_ < elems.size() && "DistVector::remove: Error removing a Distribution from a DistVector");
    elems.erase(elems.begin() + i_);
}

Distribution*& DistVector::operator[] (unsigned int i_) {
    assert(i_ < elems.size() && "DistVector::operator[]:  Error indexing in a DistVector");
    return elems[i_];
}

unsigned int DistVector::size() {
    return elems.size();
}

