#ifndef DISTVECTOR_HPP_
#define DISTVECTOR_HPP_

#include <eosim/dist/distribution.hpp>
#include <vector>

namespace eosim {
	
namespace utils {

	class DistVector {
	private:
		std::vector<dist::Distribution*> elems;
	public:
		DistVector ();
		~DistVector ();
		void push (dist::Distribution* elem_);
        void remove (unsigned int i_);
        dist::Distribution*& operator[] (unsigned int i_);
		unsigned int size();	
	};
}

}

#endif

