#ifndef ENTITYQUEUE_HPP_
#define ENTITYQUEUE_HPP_

#include <eosim/core/entity.hpp>


namespace eosim {
	
namespace utils {

	class EntityQueue {
	public:
        EntityQueue() {};
        virtual ~EntityQueue() {};
        virtual void push(core::Entity* ent_) = 0;
        virtual core::Entity* pop() = 0;
        virtual void remove(unsigned int i_) = 0;
        virtual bool empty() = 0;
        virtual core::Entity* operator[] (unsigned int i_) = 0;
		virtual unsigned int size() = 0;	
	};

}

}

#endif

