#ifndef ENTITYQUEUEFIFO_HPP_
#define ENTITYQUEUEFIFO_HPP_

#include "entityqueue.hpp"
#include <deque>

namespace eosim {
	
namespace utils {

	class EntityQueueFifo: public EntityQueue {
	private:
        std::deque<core::Entity*> elems;
    public:
        EntityQueueFifo();
        ~EntityQueueFifo();
        void push(core::Entity* ent_);
        core::Entity* pop();
        void remove(unsigned int i_);
        bool empty();
        core::Entity* operator[] (unsigned int i_);
		unsigned int size();	
	};

}

}

#endif

